Spaces method and path for this operation:
get /s/{space_id}/api/synthetics/params/{id}
Refer to Spaces for more information.
Get a parameter from the Synthetics app.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read.
GET
/api/synthetics/params/{id}
curl
curl \
-X GET "${KIBANA_URL}/api/synthetics/params/param-id" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/params/param-id
Response examples (200)
Read access
A successful response for a user with read-only permissions to get a single parameter.
{
"description": "Param to use in browser monitor",
"id": "unique-parameter-id",
"key": "your-api-key",
"namespaces": [
"namespace1",
"namespace2"
],
"tags": [
"authentication",
"security"
]
}
A successful response for a user with write permissions to get a single parameter.
{
"description": "Param to use in browser monitor",
"id": "unique-parameter-id",
"key": "your-param-key",
"namespaces": [
"namespace1",
"namespace2"
],
"tags": [
"authentication",
"security"
],
"value": "your-param-value"
}